=== debian/changelog ===
libosmium (2.3.0-3) unstable; urgency=medium

  * Add patch to fix test failues on big endian architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 23 Aug 2015 01:02:25 +0200

libosmium (2.3.0-2) unstable; urgency=medium

  * Add patch to fix FTBFS on big endian architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 22:29:33 +0200

libosmium (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependencies on osmpbf & protobuf.
  * Update copyright file, add license & copyright for protozero & utf8.
  * Install protozero headers too.
  * Add (build) dependency on libutfcpp-dev for utf8 headers.
  * Add dependencies on -dev packages to libosmium2-dev for their headers.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 20:51:17 +0200

libosmium (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop reproducible-build.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jul 2015 14:28:28 +0200

libosmium (2.1.0-4) unstable; urgency=medium

  * Add patch to make build reproducible.
  * Handle other extensions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jun 2015 20:06:52 +0200

libosmium (2.1.0-3) unstable; urgency=medium

  * Add Conflicts/Provides/Replaces on libosmium-dev to libosmium2-dev.
    (closes: #789756)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jun 2015 09:20:24 +0200

libosmium (2.1.0-2) unstable; urgency=medium

  * Add license & copyright for win_mkstemp.hpp.
    Thanks to Thorsten Alteholz for accepting the package anyway.
  * Update watch file to use multi-line uscan options without quotes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jun 2015 19:57:12 +0200

libosmium (2.1.0-1) unstable; urgency=medium

  [ Jochen Topf ]
  * Only install files in include/osmium, not everything in include.

  [ Bas Couwenberg ]
  * Use osmcode.org contact URL instead of dev@osm.org in Contact
    metadata.
  * New upstream release.
  * Install CHANGELOG.md as upstream changelog.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Mar 2015 23:03:54 +0200

libosmium (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #779923)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Mar 2015 17:31:17 +0100
