=== debian/changelog ===
libosmium (2.6.0-2) unstable; urgency=medium

  * Ignore test failures on sparc64.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Feb 2016 23:09:42 +0100

libosmium (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Update copyright file, update years for Jochen Topf.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Feb 2016 20:27:34 +0100

libosmium (2.5.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Dec 2015 13:48:14 +0100

libosmium (2.5.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Install gdalcpp.hpp in libosmium2-dev too. libosmium2-dev provides
    libgdalcpp-dev instead of splitting it off into a separate package.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 21:59:52 +0100

libosmium (2.5.3-1~exp2) experimental; urgency=medium

  * Add patches to fix timestamp test failures.
  * Create build directory for documentation when not already done by
    build-arch target.
    (closes: #806631)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Nov 2015 22:13:23 +0100

libosmium (2.5.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Nov 2015 22:39:28 +0100

libosmium (2.5.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Nov 2015 01:11:22 +0100

libosmium (2.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Nov 2015 18:40:39 +0100

libosmium (2.4.1-3) unstable; urgency=medium

  * Ignore test failures only on problematic architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 16:36:48 +0200

libosmium (2.4.1-2) unstable; urgency=medium

  * Don't install protozero headers, use libprotozero-dev instead.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2015 20:50:51 +0200

libosmium (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 16:44:05 +0200

libosmium (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Update Vcs-Browser URL to use HTTPS.
  * Update watch file to use lowercase RC in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 13:04:31 +0200
