=== debian/control ===
--- 
+++ 
@@ -14,12 +14,13 @@
                libgdal-dev,
                libgeos++-dev,
                libproj-dev,
+               libprotozero-dev,
                libsparsehash-dev,
                libutfcpp-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/libosmium.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/libosmium.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/libosmium.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/libosmium.git
 Homepage: http://osmcode.org/libosmium/
 
 Package: libosmium2-dev
@@ -28,12 +29,14 @@
 Depends: libboost-dev,
          libbz2-dev,
          libexpat1-dev,
+         libprotozero-dev,
          libutfcpp-dev,
          zlib1g-dev,
          ${misc:Depends}
 Suggests: libosmium2-doc
 Conflicts: libosmium-dev
-Provides: libosmium-dev
+Provides: libosmium-dev,
+          libgdalcpp-dev
 Replaces: libosmium-dev
 Description: C++ framework for working with OSM data files
  The Osmium library has extensive support for all types of OSM entities: nodes,
