=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Verbose make output
 export VERBOSE=1
+
+DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
 	dh $@ --parallel
@@ -15,10 +17,19 @@
 	dh_auto_build --arch
 
 override_dh_auto_build-indep:
-	(cd build && $(MAKE) doc)
+	if [ -e "build" ]; then \
+		(cd build && $(MAKE) doc) ; \
+	else \
+		$(MAKE) doc ; \
+	fi
 
-override_dh_auto_test:
+override_dh_auto_test-arch:
+# Ignore test failures on problematic architectures only
+ifneq (,$(findstring $(DEB_BUILD_ARCH),"ppc64 sparc64"))
 	(cd build && ctest -V || echo "Ignoring test failures")
+else
+	(cd build && ctest -V)
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md
